<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.staff.dao.ibatis.StaffDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="StaffEntity" id="StaffEntity-Map">
            <id  property="id" column="id" />
            <result property="name" column="name" />
            <result property="gender" column="gender" />
            <result property="birthday" column="birthday" />
            <result property="photoPath" column="photoPath" />
            <result property="Email" column="Email" />
            <result property="phoneNumber" column="phoneNumber" />
            <result property="idCard" column="idCard" />
            <result property="workNum" column="workNum" />
            <result property="companyIds" column="companyIds" />
            <result property="companyName" column="companyName" />
            <result property="positionId" column="positionId" />
            <result property="positionName" column="positionName" />
            <result property="staffType" column="staffType" />
            <result property="staffStatus" column="staffStatus" />
            <result property="source" column="source" />
            <result property="registerPath" column="registerPath" />
            <result property="entryDate" column="entryDate" />
            <result property="regularDate" column="regularDate" />
            <result property="leaveDate" column="leaveDate" />
            <result property="remark" column="remark" />
            <result property="sumViews" column="sumViews" />
            <result property="viewsByDay" column="viewsByDay" />
            <result property="sendBusinessCardTimes" column="sendBusinessCardTimes" />
            <result property="createUserId" column="createUserId" />
            <result property="createTime" column="createTime" />
            <result property="updateUserId" column="updateUserId" />
            <result property="updateTime" column="updateTime" />
            
    </resultMap>


    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                    a.id,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('name') or colPickMode == 1 and data.containsKey('name')))">
                    a.name,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('gender') or colPickMode == 1 and data.containsKey('gender')))">
                    a.gender,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('birthday') or colPickMode == 1 and data.containsKey('birthday')))">
                    a.birthday,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('photoPath') or colPickMode == 1 and data.containsKey('photoPath')))">
                    a.photoPath,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('Email') or colPickMode == 1 and data.containsKey('Email')))">
                    a.Email,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('phoneNumber') or colPickMode == 1 and data.containsKey('phoneNumber')))">
                    a.phoneNumber,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('idCard') or colPickMode == 1 and data.containsKey('idCard')))">
                    a.idCard,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('workNum') or colPickMode == 1 and data.containsKey('workNum')))">
                    a.workNum,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyIds') or colPickMode == 1 and data.containsKey('companyIds')))">
                    a.companyIds,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyName') or colPickMode == 1 and data.containsKey('companyName')))">
                    a.companyName,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('positionId') or colPickMode == 1 and data.containsKey('positionId')))">
                    a.positionId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('positionName') or colPickMode == 1 and data.containsKey('positionName')))">
                    a.positionName,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('staffType') or colPickMode == 1 and data.containsKey('staffType')))">
                    a.staffType,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('staffStatus') or colPickMode == 1 and data.containsKey('staffStatus')))">
                    a.staffStatus,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('source') or colPickMode == 1 and data.containsKey('source')))">
                    a.source,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('registerPath') or colPickMode == 1 and data.containsKey('registerPath')))">
                    a.registerPath,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('entryDate') or colPickMode == 1 and data.containsKey('entryDate')))">
                    a.entryDate,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('regularDate') or colPickMode == 1 and data.containsKey('regularDate')))">
                    a.regularDate,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('leaveDate') or colPickMode == 1 and data.containsKey('leaveDate')))">
                    a.leaveDate,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                    a.remark,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sumViews') or colPickMode == 1 and data.containsKey('sumViews')))">
                    a.sumViews,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('viewsByDay') or colPickMode == 1 and data.containsKey('viewsByDay')))">
                    a.viewsByDay,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sendBusinessCardTimes') or colPickMode == 1 and data.containsKey('sendBusinessCardTimes')))">
                    a.sendBusinessCardTimes,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                    a.createUserId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                    a.createTime,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                    a.updateUserId,
                </if>
                <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                    a.updateTime,
                </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="StaffEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_staff
        (name,gender,birthday,photoPath,Email,phoneNumber,idCard,workNum,companyIds,companyName,positionId,positionName,staffType,staffStatus,source,registerPath,entryDate,regularDate,leaveDate,remark,sumViews,viewsByDay,sendBusinessCardTimes,createUserId,createTime,updateUserId,updateTime)
        VALUES
        (#{name},#{gender},#{birthday},#{photoPath},#{Email},#{phoneNumber},#{idCard},#{workNum},#{companyIds},#{companyName},#{positionId},#{positionName},#{staffType},#{staffStatus},#{source},#{registerPath},#{entryDate},#{regularDate},#{leaveDate},#{remark},#{sumViews},#{viewsByDay},#{sendBusinessCardTimes},#{createUserId},#{createTime},#{updateUserId},#{updateTime})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_staff
        (name,gender,birthday,photoPath,Email,phoneNumber,idCard,workNum,companyIds,companyName,positionId,positionName,staffType,staffStatus,source,registerPath,entryDate,regularDate,leaveDate,remark,sumViews,viewsByDay,sendBusinessCardTimes,createUserId,createTime,updateUserId,updateTime)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.name},#{item.gender},#{item.birthday},#{item.photoPath},#{item.Email},#{item.phoneNumber},#{item.idCard},#{item.workNum},#{item.companyIds},#{item.companyName},#{item.positionId},#{item.positionName},#{item.staffType},#{item.staffStatus},#{item.source},#{item.registerPath},#{item.entryDate},#{item.regularDate},#{item.leaveDate},#{item.remark},#{item.sumViews},#{item.viewsByDay},#{item.sendBusinessCardTimes},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_staff as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('name')) or (colPickMode==1 and !data.containsKey('name'))">
                a.name=#{data.name},
            </if>
            <if test="(colPickMode==0 and data.containsKey('gender')) or (colPickMode==1 and !data.containsKey('gender'))">
                a.gender=#{data.gender},
            </if>
            <if test="(colPickMode==0 and data.containsKey('genderIncrement')) or (colPickMode==1 and !data.containsKey('genderIncrement'))">
                a.gender=ifnull(a.gender,0) + #{data.genderIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('birthday')) or (colPickMode==1 and !data.containsKey('birthday'))">
                a.birthday=#{data.birthday},
            </if>
            <if test="(colPickMode==0 and data.containsKey('photoPath')) or (colPickMode==1 and !data.containsKey('photoPath'))">
                a.photoPath=#{data.photoPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('Email')) or (colPickMode==1 and !data.containsKey('Email'))">
                a.Email=#{data.Email},
            </if>
            <if test="(colPickMode==0 and data.containsKey('phoneNumber')) or (colPickMode==1 and !data.containsKey('phoneNumber'))">
                a.phoneNumber=#{data.phoneNumber},
            </if>
            <if test="(colPickMode==0 and data.containsKey('idCard')) or (colPickMode==1 and !data.containsKey('idCard'))">
                a.idCard=#{data.idCard},
            </if>
            <if test="(colPickMode==0 and data.containsKey('workNum')) or (colPickMode==1 and !data.containsKey('workNum'))">
                a.workNum=#{data.workNum},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyIds')) or (colPickMode==1 and !data.containsKey('companyIds'))">
                a.companyIds=#{data.companyIds},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyName')) or (colPickMode==1 and !data.containsKey('companyName'))">
                a.companyName=#{data.companyName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionId')) or (colPickMode==1 and !data.containsKey('positionId'))">
                a.positionId=#{data.positionId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionIdIncrement')) or (colPickMode==1 and !data.containsKey('positionIdIncrement'))">
                a.positionId=ifnull(a.positionId,0) + #{data.positionIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionName')) or (colPickMode==1 and !data.containsKey('positionName'))">
                a.positionName=#{data.positionName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffType')) or (colPickMode==1 and !data.containsKey('staffType'))">
                a.staffType=#{data.staffType},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffTypeIncrement')) or (colPickMode==1 and !data.containsKey('staffTypeIncrement'))">
                a.staffType=ifnull(a.staffType,0) + #{data.staffTypeIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffStatus')) or (colPickMode==1 and !data.containsKey('staffStatus'))">
                a.staffStatus=#{data.staffStatus},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffStatusIncrement')) or (colPickMode==1 and !data.containsKey('staffStatusIncrement'))">
                a.staffStatus=ifnull(a.staffStatus,0) + #{data.staffStatusIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('source')) or (colPickMode==1 and !data.containsKey('source'))">
                a.source=#{data.source},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sourceIncrement')) or (colPickMode==1 and !data.containsKey('sourceIncrement'))">
                a.source=ifnull(a.source,0) + #{data.sourceIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('registerPath')) or (colPickMode==1 and !data.containsKey('registerPath'))">
                a.registerPath=#{data.registerPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('entryDate')) or (colPickMode==1 and !data.containsKey('entryDate'))">
                a.entryDate=#{data.entryDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('regularDate')) or (colPickMode==1 and !data.containsKey('regularDate'))">
                a.regularDate=#{data.regularDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('leaveDate')) or (colPickMode==1 and !data.containsKey('leaveDate'))">
                a.leaveDate=#{data.leaveDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumViews')) or (colPickMode==1 and !data.containsKey('sumViews'))">
                a.sumViews=#{data.sumViews},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumViewsIncrement')) or (colPickMode==1 and !data.containsKey('sumViewsIncrement'))">
                a.sumViews=ifnull(a.sumViews,0) + #{data.sumViewsIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewsByDay')) or (colPickMode==1 and !data.containsKey('viewsByDay'))">
                a.viewsByDay=#{data.viewsByDay},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewsByDayIncrement')) or (colPickMode==1 and !data.containsKey('viewsByDayIncrement'))">
                a.viewsByDay=ifnull(a.viewsByDay,0) + #{data.viewsByDayIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sendBusinessCardTimes')) or (colPickMode==1 and !data.containsKey('sendBusinessCardTimes'))">
                a.sendBusinessCardTimes=#{data.sendBusinessCardTimes},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sendBusinessCardTimesIncrement')) or (colPickMode==1 and !data.containsKey('sendBusinessCardTimesIncrement'))">
                a.sendBusinessCardTimes=ifnull(a.sendBusinessCardTimes,0) + #{data.sendBusinessCardTimesIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_staff as a
        <trim prefix="set" suffixOverrides=",">
                <trim prefix="name=(case" suffix="ELSE name end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('name')) or (colPickMode==1 and !item.containsKey('name'))">
                            when a.id=#{item.id} then #{item.name}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="gender=(case" suffix="ELSE gender end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('gender')) or (colPickMode==1 and !item.containsKey('gender'))">
                                        when a.id=#{item.id} then #{item.gender}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('genderIncrement')) or (colPickMode==1 and !item.containsKey('genderIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.gender,0) + #{item.genderIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="birthday=(case" suffix="ELSE birthday end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('birthday')) or (colPickMode==1 and !item.containsKey('birthday'))">
                            when a.id=#{item.id} then #{item.birthday}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="photoPath=(case" suffix="ELSE photoPath end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('photoPath')) or (colPickMode==1 and !item.containsKey('photoPath'))">
                            when a.id=#{item.id} then #{item.photoPath}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="Email=(case" suffix="ELSE Email end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('Email')) or (colPickMode==1 and !item.containsKey('Email'))">
                            when a.id=#{item.id} then #{item.Email}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="phoneNumber=(case" suffix="ELSE phoneNumber end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('phoneNumber')) or (colPickMode==1 and !item.containsKey('phoneNumber'))">
                            when a.id=#{item.id} then #{item.phoneNumber}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="idCard=(case" suffix="ELSE idCard end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('idCard')) or (colPickMode==1 and !item.containsKey('idCard'))">
                            when a.id=#{item.id} then #{item.idCard}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="workNum=(case" suffix="ELSE workNum end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('workNum')) or (colPickMode==1 and !item.containsKey('workNum'))">
                            when a.id=#{item.id} then #{item.workNum}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="companyIds=(case" suffix="ELSE companyIds end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('companyIds')) or (colPickMode==1 and !item.containsKey('companyIds'))">
                            when a.id=#{item.id} then #{item.companyIds}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="companyName=(case" suffix="ELSE companyName end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('companyName')) or (colPickMode==1 and !item.containsKey('companyName'))">
                            when a.id=#{item.id} then #{item.companyName}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="positionId=(case" suffix="ELSE positionId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('positionId')) or (colPickMode==1 and !item.containsKey('positionId'))">
                                        when a.id=#{item.id} then #{item.positionId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('positionIdIncrement')) or (colPickMode==1 and !item.containsKey('positionIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.positionId,0) + #{item.positionIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="positionName=(case" suffix="ELSE positionName end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('positionName')) or (colPickMode==1 and !item.containsKey('positionName'))">
                            when a.id=#{item.id} then #{item.positionName}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="staffType=(case" suffix="ELSE staffType end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('staffType')) or (colPickMode==1 and !item.containsKey('staffType'))">
                                        when a.id=#{item.id} then #{item.staffType}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('staffTypeIncrement')) or (colPickMode==1 and !item.containsKey('staffTypeIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.staffType,0) + #{item.staffTypeIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="staffStatus=(case" suffix="ELSE staffStatus end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('staffStatus')) or (colPickMode==1 and !item.containsKey('staffStatus'))">
                                        when a.id=#{item.id} then #{item.staffStatus}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('staffStatusIncrement')) or (colPickMode==1 and !item.containsKey('staffStatusIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.staffStatus,0) + #{item.staffStatusIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="source=(case" suffix="ELSE source end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('source')) or (colPickMode==1 and !item.containsKey('source'))">
                                        when a.id=#{item.id} then #{item.source}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('sourceIncrement')) or (colPickMode==1 and !item.containsKey('sourceIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.source,0) + #{item.sourceIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="registerPath=(case" suffix="ELSE registerPath end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('registerPath')) or (colPickMode==1 and !item.containsKey('registerPath'))">
                            when a.id=#{item.id} then #{item.registerPath}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="entryDate=(case" suffix="ELSE entryDate end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('entryDate')) or (colPickMode==1 and !item.containsKey('entryDate'))">
                            when a.id=#{item.id} then #{item.entryDate}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="regularDate=(case" suffix="ELSE regularDate end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('regularDate')) or (colPickMode==1 and !item.containsKey('regularDate'))">
                            when a.id=#{item.id} then #{item.regularDate}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="leaveDate=(case" suffix="ELSE leaveDate end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('leaveDate')) or (colPickMode==1 and !item.containsKey('leaveDate'))">
                            when a.id=#{item.id} then #{item.leaveDate}
                        </if>
                    </foreach>
                </trim>
                <trim prefix="remark=(case" suffix="ELSE remark end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                            when a.id=#{item.id} then #{item.remark}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="sumViews=(case" suffix="ELSE sumViews end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('sumViews')) or (colPickMode==1 and !item.containsKey('sumViews'))">
                                        when a.id=#{item.id} then #{item.sumViews}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('sumViewsIncrement')) or (colPickMode==1 and !item.containsKey('sumViewsIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.sumViews,0) + #{item.sumViewsIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="viewsByDay=(case" suffix="ELSE viewsByDay end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('viewsByDay')) or (colPickMode==1 and !item.containsKey('viewsByDay'))">
                                        when a.id=#{item.id} then #{item.viewsByDay}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('viewsByDayIncrement')) or (colPickMode==1 and !item.containsKey('viewsByDayIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.viewsByDay,0) + #{item.viewsByDayIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="sendBusinessCardTimes=(case" suffix="ELSE sendBusinessCardTimes end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('sendBusinessCardTimes')) or (colPickMode==1 and !item.containsKey('sendBusinessCardTimes'))">
                                        when a.id=#{item.id} then #{item.sendBusinessCardTimes}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('sendBusinessCardTimesIncrement')) or (colPickMode==1 and !item.containsKey('sendBusinessCardTimesIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.sendBusinessCardTimes,0) + #{item.sendBusinessCardTimesIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                        <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                                        when a.id=#{item.id} then #{item.createUserId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                            when a.id=#{item.id} then #{item.createTime}
                        </if>
                    </foreach>
                </trim>
                        <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                            <foreach collection="data.dataList" item="item" index="index" separator="" >
                                <choose>
                                    <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                                        when a.id=#{item.id} then #{item.updateUserId}
                                    </when>
                                    <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                                        when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                                    </when>
                                </choose>
                            </foreach>
                        </trim>
                <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                    <foreach collection="data.dataList" item="item" index="index" separator="" >
                        <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                            when a.id=#{item.id} then #{item.updateTime}
                        </if>
                    </foreach>
                </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="StaffEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_staff as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_staff as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_staff where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_staff where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_staff where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_staff as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="StaffEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_staff as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_staff as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
            <if test="conditionParamRef.containsKey('id')">
                <if test="conditionParamRef.id != null ">
                    ${_conditionType_} a.id = #{${_conditionParam_}.id}
                </if>
                <if test="conditionParamRef.id == null">
                    ${_conditionType_} a.id is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                ${_conditionType_} a.id in
                <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
                ${_conditionType_} a.id not in
                <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
                ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
            </if>
            <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
                ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
            </if>


            <if test="conditionParamRef.containsKey('name')">
                <if test="conditionParamRef.name != null and conditionParamRef.name != ''">
                    ${_conditionType_} a.name like #{${_conditionParam_}.name}
                </if>
                <if test="conditionParamRef.name == null">
                    ${_conditionType_} a.name is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('nameList') and conditionParamRef.nameList.size() > 0">
                ${_conditionType_} a.name in
                <foreach collection="conditionParamRef.nameList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('nameNotList') and conditionParamRef.nameNotList.size() > 0">
                ${_conditionType_} a.name not in
                <foreach collection="conditionParamRef.nameNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('gender')">
                <if test="conditionParamRef.gender != null ">
                    ${_conditionType_} a.gender = #{${_conditionParam_}.gender}
                </if>
                <if test="conditionParamRef.gender == null">
                    ${_conditionType_} a.gender is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('genderList') and conditionParamRef.genderList.size() > 0">
                ${_conditionType_} a.gender in
                <foreach collection="conditionParamRef.genderList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('genderNotList') and conditionParamRef.genderNotList.size() > 0">
                ${_conditionType_} a.gender not in
                <foreach collection="conditionParamRef.genderNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('genderStart') and conditionParamRef.genderStart != null">
                ${_conditionType_} a.gender <![CDATA[ >= ]]> #{${_conditionParam_}.genderStart}
            </if>
            <if test="conditionParamRef.containsKey('genderEnd') and conditionParamRef.genderEnd != null">
                ${_conditionType_} a.gender <![CDATA[ <= ]]> #{${_conditionParam_}.genderEnd}
            </if>


            <if test="conditionParamRef.containsKey('birthday')">
                <if test="conditionParamRef.birthday != null ">
                    ${_conditionType_} a.birthday = #{${_conditionParam_}.birthday}
                </if>
                <if test="conditionParamRef.birthday == null">
                    ${_conditionType_} a.birthday is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('birthdayStart') and conditionParamRef.birthdayStart != null and conditionParamRef.birthdayStart!=''">
                ${_conditionType_} a.birthday <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.birthdayStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('birthdayEnd') and conditionParamRef.birthdayEnd != null and conditionParamRef.birthdayEnd!=''">
                ${_conditionType_} a.birthday <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.birthdayEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>

            <if test="conditionParamRef.containsKey('photoPath')">
                <if test="conditionParamRef.photoPath != null and conditionParamRef.photoPath != ''">
                    ${_conditionType_} a.photoPath like #{${_conditionParam_}.photoPath}
                </if>
                <if test="conditionParamRef.photoPath == null">
                    ${_conditionType_} a.photoPath is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('photoPathList') and conditionParamRef.photoPathList.size() > 0">
                ${_conditionType_} a.photoPath in
                <foreach collection="conditionParamRef.photoPathList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('photoPathNotList') and conditionParamRef.photoPathNotList.size() > 0">
                ${_conditionType_} a.photoPath not in
                <foreach collection="conditionParamRef.photoPathNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('Email')">
                <if test="conditionParamRef.Email != null and conditionParamRef.Email != ''">
                    ${_conditionType_} a.Email like #{${_conditionParam_}.Email}
                </if>
                <if test="conditionParamRef.Email == null">
                    ${_conditionType_} a.Email is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('EmailList') and conditionParamRef.EmailList.size() > 0">
                ${_conditionType_} a.Email in
                <foreach collection="conditionParamRef.EmailList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('EmailNotList') and conditionParamRef.EmailNotList.size() > 0">
                ${_conditionType_} a.Email not in
                <foreach collection="conditionParamRef.EmailNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('phoneNumber')">
                <if test="conditionParamRef.phoneNumber != null and conditionParamRef.phoneNumber != ''">
                    ${_conditionType_} a.phoneNumber like #{${_conditionParam_}.phoneNumber}
                </if>
                <if test="conditionParamRef.phoneNumber == null">
                    ${_conditionType_} a.phoneNumber is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('phoneNumberList') and conditionParamRef.phoneNumberList.size() > 0">
                ${_conditionType_} a.phoneNumber in
                <foreach collection="conditionParamRef.phoneNumberList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('phoneNumberNotList') and conditionParamRef.phoneNumberNotList.size() > 0">
                ${_conditionType_} a.phoneNumber not in
                <foreach collection="conditionParamRef.phoneNumberNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('idCard')">
                <if test="conditionParamRef.idCard != null and conditionParamRef.idCard != ''">
                    ${_conditionType_} a.idCard like #{${_conditionParam_}.idCard}
                </if>
                <if test="conditionParamRef.idCard == null">
                    ${_conditionType_} a.idCard is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('idCardList') and conditionParamRef.idCardList.size() > 0">
                ${_conditionType_} a.idCard in
                <foreach collection="conditionParamRef.idCardList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('idCardNotList') and conditionParamRef.idCardNotList.size() > 0">
                ${_conditionType_} a.idCard not in
                <foreach collection="conditionParamRef.idCardNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('workNum')">
                <if test="conditionParamRef.workNum != null and conditionParamRef.workNum != ''">
                    ${_conditionType_} a.workNum like #{${_conditionParam_}.workNum}
                </if>
                <if test="conditionParamRef.workNum == null">
                    ${_conditionType_} a.workNum is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('workNumList') and conditionParamRef.workNumList.size() > 0">
                ${_conditionType_} a.workNum in
                <foreach collection="conditionParamRef.workNumList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('workNumNotList') and conditionParamRef.workNumNotList.size() > 0">
                ${_conditionType_} a.workNum not in
                <foreach collection="conditionParamRef.workNumNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('companyIds')">
                <if test="conditionParamRef.companyIds != null and conditionParamRef.companyIds != ''">
                    ${_conditionType_} a.companyIds like #{${_conditionParam_}.companyIds}
                </if>
                <if test="conditionParamRef.companyIds == null">
                    ${_conditionType_} a.companyIds is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('companyIdsList') and conditionParamRef.companyIdsList.size() > 0">
                ${_conditionType_} a.companyIds in
                <foreach collection="conditionParamRef.companyIdsList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('companyIdsNotList') and conditionParamRef.companyIdsNotList.size() > 0">
                ${_conditionType_} a.companyIds not in
                <foreach collection="conditionParamRef.companyIdsNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('companyName')">
                <if test="conditionParamRef.companyName != null and conditionParamRef.companyName != ''">
                    ${_conditionType_} a.companyName like #{${_conditionParam_}.companyName}
                </if>
                <if test="conditionParamRef.companyName == null">
                    ${_conditionType_} a.companyName is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('companyNameList') and conditionParamRef.companyNameList.size() > 0">
                ${_conditionType_} a.companyName in
                <foreach collection="conditionParamRef.companyNameList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('companyNameNotList') and conditionParamRef.companyNameNotList.size() > 0">
                ${_conditionType_} a.companyName not in
                <foreach collection="conditionParamRef.companyNameNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('positionId')">
                <if test="conditionParamRef.positionId != null ">
                    ${_conditionType_} a.positionId = #{${_conditionParam_}.positionId}
                </if>
                <if test="conditionParamRef.positionId == null">
                    ${_conditionType_} a.positionId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('positionIdList') and conditionParamRef.positionIdList.size() > 0">
                ${_conditionType_} a.positionId in
                <foreach collection="conditionParamRef.positionIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('positionIdNotList') and conditionParamRef.positionIdNotList.size() > 0">
                ${_conditionType_} a.positionId not in
                <foreach collection="conditionParamRef.positionIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('positionIdStart') and conditionParamRef.positionIdStart != null">
                ${_conditionType_} a.positionId <![CDATA[ >= ]]> #{${_conditionParam_}.positionIdStart}
            </if>
            <if test="conditionParamRef.containsKey('positionIdEnd') and conditionParamRef.positionIdEnd != null">
                ${_conditionType_} a.positionId <![CDATA[ <= ]]> #{${_conditionParam_}.positionIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('positionName')">
                <if test="conditionParamRef.positionName != null and conditionParamRef.positionName != ''">
                    ${_conditionType_} a.positionName like #{${_conditionParam_}.positionName}
                </if>
                <if test="conditionParamRef.positionName == null">
                    ${_conditionType_} a.positionName is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('positionNameList') and conditionParamRef.positionNameList.size() > 0">
                ${_conditionType_} a.positionName in
                <foreach collection="conditionParamRef.positionNameList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('positionNameNotList') and conditionParamRef.positionNameNotList.size() > 0">
                ${_conditionType_} a.positionName not in
                <foreach collection="conditionParamRef.positionNameNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('staffType')">
                <if test="conditionParamRef.staffType != null ">
                    ${_conditionType_} a.staffType = #{${_conditionParam_}.staffType}
                </if>
                <if test="conditionParamRef.staffType == null">
                    ${_conditionType_} a.staffType is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('staffTypeList') and conditionParamRef.staffTypeList.size() > 0">
                ${_conditionType_} a.staffType in
                <foreach collection="conditionParamRef.staffTypeList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('staffTypeNotList') and conditionParamRef.staffTypeNotList.size() > 0">
                ${_conditionType_} a.staffType not in
                <foreach collection="conditionParamRef.staffTypeNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('staffTypeStart') and conditionParamRef.staffTypeStart != null">
                ${_conditionType_} a.staffType <![CDATA[ >= ]]> #{${_conditionParam_}.staffTypeStart}
            </if>
            <if test="conditionParamRef.containsKey('staffTypeEnd') and conditionParamRef.staffTypeEnd != null">
                ${_conditionType_} a.staffType <![CDATA[ <= ]]> #{${_conditionParam_}.staffTypeEnd}
            </if>

            <if test="conditionParamRef.containsKey('staffStatus')">
                <if test="conditionParamRef.staffStatus != null ">
                    ${_conditionType_} a.staffStatus = #{${_conditionParam_}.staffStatus}
                </if>
                <if test="conditionParamRef.staffStatus == null">
                    ${_conditionType_} a.staffStatus is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('staffStatusList') and conditionParamRef.staffStatusList.size() > 0">
                ${_conditionType_} a.staffStatus in
                <foreach collection="conditionParamRef.staffStatusList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('staffStatusNotList') and conditionParamRef.staffStatusNotList.size() > 0">
                ${_conditionType_} a.staffStatus not in
                <foreach collection="conditionParamRef.staffStatusNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('staffStatusStart') and conditionParamRef.staffStatusStart != null">
                ${_conditionType_} a.staffStatus <![CDATA[ >= ]]> #{${_conditionParam_}.staffStatusStart}
            </if>
            <if test="conditionParamRef.containsKey('staffStatusEnd') and conditionParamRef.staffStatusEnd != null">
                ${_conditionType_} a.staffStatus <![CDATA[ <= ]]> #{${_conditionParam_}.staffStatusEnd}
            </if>

            <if test="conditionParamRef.containsKey('source')">
                <if test="conditionParamRef.source != null ">
                    ${_conditionType_} a.source = #{${_conditionParam_}.source}
                </if>
                <if test="conditionParamRef.source == null">
                    ${_conditionType_} a.source is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('sourceList') and conditionParamRef.sourceList.size() > 0">
                ${_conditionType_} a.source in
                <foreach collection="conditionParamRef.sourceList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sourceNotList') and conditionParamRef.sourceNotList.size() > 0">
                ${_conditionType_} a.source not in
                <foreach collection="conditionParamRef.sourceNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sourceStart') and conditionParamRef.sourceStart != null">
                ${_conditionType_} a.source <![CDATA[ >= ]]> #{${_conditionParam_}.sourceStart}
            </if>
            <if test="conditionParamRef.containsKey('sourceEnd') and conditionParamRef.sourceEnd != null">
                ${_conditionType_} a.source <![CDATA[ <= ]]> #{${_conditionParam_}.sourceEnd}
            </if>


            <if test="conditionParamRef.containsKey('registerPath')">
                <if test="conditionParamRef.registerPath != null and conditionParamRef.registerPath != ''">
                    ${_conditionType_} a.registerPath like #{${_conditionParam_}.registerPath}
                </if>
                <if test="conditionParamRef.registerPath == null">
                    ${_conditionType_} a.registerPath is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('registerPathList') and conditionParamRef.registerPathList.size() > 0">
                ${_conditionType_} a.registerPath in
                <foreach collection="conditionParamRef.registerPathList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('registerPathNotList') and conditionParamRef.registerPathNotList.size() > 0">
                ${_conditionType_} a.registerPath not in
                <foreach collection="conditionParamRef.registerPathNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>

            <if test="conditionParamRef.containsKey('entryDate')">
                <if test="conditionParamRef.entryDate != null ">
                    ${_conditionType_} a.entryDate = #{${_conditionParam_}.entryDate}
                </if>
                <if test="conditionParamRef.entryDate == null">
                    ${_conditionType_} a.entryDate is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('entryDateStart') and conditionParamRef.entryDateStart != null and conditionParamRef.entryDateStart!=''">
                ${_conditionType_} a.entryDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.entryDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('entryDateEnd') and conditionParamRef.entryDateEnd != null and conditionParamRef.entryDateEnd!=''">
                ${_conditionType_} a.entryDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.entryDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>

            <if test="conditionParamRef.containsKey('regularDate')">
                <if test="conditionParamRef.regularDate != null ">
                    ${_conditionType_} a.regularDate = #{${_conditionParam_}.regularDate}
                </if>
                <if test="conditionParamRef.regularDate == null">
                    ${_conditionType_} a.regularDate is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('regularDateStart') and conditionParamRef.regularDateStart != null and conditionParamRef.regularDateStart!=''">
                ${_conditionType_} a.regularDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.regularDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('regularDateEnd') and conditionParamRef.regularDateEnd != null and conditionParamRef.regularDateEnd!=''">
                ${_conditionType_} a.regularDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.regularDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>

            <if test="conditionParamRef.containsKey('leaveDate')">
                <if test="conditionParamRef.leaveDate != null ">
                    ${_conditionType_} a.leaveDate = #{${_conditionParam_}.leaveDate}
                </if>
                <if test="conditionParamRef.leaveDate == null">
                    ${_conditionType_} a.leaveDate is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('leaveDateStart') and conditionParamRef.leaveDateStart != null and conditionParamRef.leaveDateStart!=''">
                ${_conditionType_} a.leaveDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.leaveDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('leaveDateEnd') and conditionParamRef.leaveDateEnd != null and conditionParamRef.leaveDateEnd!=''">
                ${_conditionType_} a.leaveDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.leaveDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>

            <if test="conditionParamRef.containsKey('remark')">
                <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                    ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
                </if>
                <if test="conditionParamRef.remark == null">
                    ${_conditionType_} a.remark is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
                ${_conditionType_} a.remark in
                <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
                ${_conditionType_} a.remark not in
                <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sumViews')">
                <if test="conditionParamRef.sumViews != null ">
                    ${_conditionType_} a.sumViews = #{${_conditionParam_}.sumViews}
                </if>
                <if test="conditionParamRef.sumViews == null">
                    ${_conditionType_} a.sumViews is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('sumViewsList') and conditionParamRef.sumViewsList.size() > 0">
                ${_conditionType_} a.sumViews in
                <foreach collection="conditionParamRef.sumViewsList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sumViewsNotList') and conditionParamRef.sumViewsNotList.size() > 0">
                ${_conditionType_} a.sumViews not in
                <foreach collection="conditionParamRef.sumViewsNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sumViewsStart') and conditionParamRef.sumViewsStart != null">
                ${_conditionType_} a.sumViews <![CDATA[ >= ]]> #{${_conditionParam_}.sumViewsStart}
            </if>
            <if test="conditionParamRef.containsKey('sumViewsEnd') and conditionParamRef.sumViewsEnd != null">
                ${_conditionType_} a.sumViews <![CDATA[ <= ]]> #{${_conditionParam_}.sumViewsEnd}
            </if>

            <if test="conditionParamRef.containsKey('viewsByDay')">
                <if test="conditionParamRef.viewsByDay != null ">
                    ${_conditionType_} a.viewsByDay = #{${_conditionParam_}.viewsByDay}
                </if>
                <if test="conditionParamRef.viewsByDay == null">
                    ${_conditionType_} a.viewsByDay is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayList') and conditionParamRef.viewsByDayList.size() > 0">
                ${_conditionType_} a.viewsByDay in
                <foreach collection="conditionParamRef.viewsByDayList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayNotList') and conditionParamRef.viewsByDayNotList.size() > 0">
                ${_conditionType_} a.viewsByDay not in
                <foreach collection="conditionParamRef.viewsByDayNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayStart') and conditionParamRef.viewsByDayStart != null">
                ${_conditionType_} a.viewsByDay <![CDATA[ >= ]]> #{${_conditionParam_}.viewsByDayStart}
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayEnd') and conditionParamRef.viewsByDayEnd != null">
                ${_conditionType_} a.viewsByDay <![CDATA[ <= ]]> #{${_conditionParam_}.viewsByDayEnd}
            </if>

            <if test="conditionParamRef.containsKey('sendBusinessCardTimes')">
                <if test="conditionParamRef.sendBusinessCardTimes != null ">
                    ${_conditionType_} a.sendBusinessCardTimes = #{${_conditionParam_}.sendBusinessCardTimes}
                </if>
                <if test="conditionParamRef.sendBusinessCardTimes == null">
                    ${_conditionType_} a.sendBusinessCardTimes is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesList') and conditionParamRef.sendBusinessCardTimesList.size() > 0">
                ${_conditionType_} a.sendBusinessCardTimes in
                <foreach collection="conditionParamRef.sendBusinessCardTimesList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesNotList') and conditionParamRef.sendBusinessCardTimesNotList.size() > 0">
                ${_conditionType_} a.sendBusinessCardTimes not in
                <foreach collection="conditionParamRef.sendBusinessCardTimesNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesStart') and conditionParamRef.sendBusinessCardTimesStart != null">
                ${_conditionType_} a.sendBusinessCardTimes <![CDATA[ >= ]]> #{${_conditionParam_}.sendBusinessCardTimesStart}
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesEnd') and conditionParamRef.sendBusinessCardTimesEnd != null">
                ${_conditionType_} a.sendBusinessCardTimes <![CDATA[ <= ]]> #{${_conditionParam_}.sendBusinessCardTimesEnd}
            </if>

            <if test="conditionParamRef.containsKey('createUserId')">
                <if test="conditionParamRef.createUserId != null ">
                    ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
                </if>
                <if test="conditionParamRef.createUserId == null">
                    ${_conditionType_} a.createUserId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                ${_conditionType_} a.createUserId in
                <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
                ${_conditionType_} a.createUserId not in
                <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
                ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
            </if>
            <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
                ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('createTime')">
                <if test="conditionParamRef.createTime != null ">
                    ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
                </if>
                <if test="conditionParamRef.createTime == null">
                    ${_conditionType_} a.createTime is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
                ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
                ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('updateUserId')">
                <if test="conditionParamRef.updateUserId != null ">
                    ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
                </if>
                <if test="conditionParamRef.updateUserId == null">
                    ${_conditionType_} a.updateUserId is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                ${_conditionType_} a.updateUserId in
                <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
                ${_conditionType_} a.updateUserId not in
                <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
                ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
                ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
            </if>


            <if test="conditionParamRef.containsKey('updateTime')">
                <if test="conditionParamRef.updateTime != null ">
                    ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
                </if>
                <if test="conditionParamRef.updateTime == null">
                    ${_conditionType_} a.updateTime is null
                </if>
            </if>
            <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
                ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
            </if>
            <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
                ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
            </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                     ${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <trim suffixOverrides=","  suffix="">
                    <if test="orderCol.containsKey('id')">
                        a.id
                        <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('name')">
                        a.name
                        <if test='orderCol.name != null and "DESC".equalsIgnoreCase(orderCol.name)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('gender')">
                        a.gender
                        <if test='orderCol.gender != null and "DESC".equalsIgnoreCase(orderCol.gender)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('birthday')">
                        a.birthday
                        <if test='orderCol.birthday != null and "DESC".equalsIgnoreCase(orderCol.birthday)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('photoPath')">
                        a.photoPath
                        <if test='orderCol.photoPath != null and "DESC".equalsIgnoreCase(orderCol.photoPath)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('Email')">
                        a.Email
                        <if test='orderCol.Email != null and "DESC".equalsIgnoreCase(orderCol.Email)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('phoneNumber')">
                        a.phoneNumber
                        <if test='orderCol.phoneNumber != null and "DESC".equalsIgnoreCase(orderCol.phoneNumber)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('idCard')">
                        a.idCard
                        <if test='orderCol.idCard != null and "DESC".equalsIgnoreCase(orderCol.idCard)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('workNum')">
                        a.workNum
                        <if test='orderCol.workNum != null and "DESC".equalsIgnoreCase(orderCol.workNum)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('companyIds')">
                        a.companyIds
                        <if test='orderCol.companyIds != null and "DESC".equalsIgnoreCase(orderCol.companyIds)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('companyName')">
                        a.companyName
                        <if test='orderCol.companyName != null and "DESC".equalsIgnoreCase(orderCol.companyName)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('positionId')">
                        a.positionId
                        <if test='orderCol.positionId != null and "DESC".equalsIgnoreCase(orderCol.positionId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('positionName')">
                        a.positionName
                        <if test='orderCol.positionName != null and "DESC".equalsIgnoreCase(orderCol.positionName)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('staffType')">
                        a.staffType
                        <if test='orderCol.staffType != null and "DESC".equalsIgnoreCase(orderCol.staffType)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('staffStatus')">
                        a.staffStatus
                        <if test='orderCol.staffStatus != null and "DESC".equalsIgnoreCase(orderCol.staffStatus)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('source')">
                        a.source
                        <if test='orderCol.source != null and "DESC".equalsIgnoreCase(orderCol.source)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('registerPath')">
                        a.registerPath
                        <if test='orderCol.registerPath != null and "DESC".equalsIgnoreCase(orderCol.registerPath)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('entryDate')">
                        a.entryDate
                        <if test='orderCol.entryDate != null and "DESC".equalsIgnoreCase(orderCol.entryDate)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('regularDate')">
                        a.regularDate
                        <if test='orderCol.regularDate != null and "DESC".equalsIgnoreCase(orderCol.regularDate)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('leaveDate')">
                        a.leaveDate
                        <if test='orderCol.leaveDate != null and "DESC".equalsIgnoreCase(orderCol.leaveDate)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('remark')">
                        a.remark
                        <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('sumViews')">
                        a.sumViews
                        <if test='orderCol.sumViews != null and "DESC".equalsIgnoreCase(orderCol.sumViews)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('viewsByDay')">
                        a.viewsByDay
                        <if test='orderCol.viewsByDay != null and "DESC".equalsIgnoreCase(orderCol.viewsByDay)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('sendBusinessCardTimes')">
                        a.sendBusinessCardTimes
                        <if test='orderCol.sendBusinessCardTimes != null and "DESC".equalsIgnoreCase(orderCol.sendBusinessCardTimes)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('createUserId')">
                        a.createUserId
                        <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('createTime')">
                        a.createTime
                        <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('updateUserId')">
                        a.updateUserId
                        <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                        ,
                    </if>
                    <if test="orderCol.containsKey('updateTime')">
                        a.updateTime
                        <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                        ,
                    </if>
            </trim>
        </if>
    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>